Get creative session
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"creative_session_id": "<string>",
"campaign_id": "<string>",
"title": "<string>",
"persona": "<string>",
"brand": "<string>",
"objective": "<string>",
"prompt": "<string>",
"flow": [
{
"label": "<string>",
"summary": "<string>"
}
],
"variants": [
{
"build_variant_id": "<string>",
"name": "<string>",
"direction": "<string>",
"rationale": "<string>",
"preview": {
"type": "image",
"url": "<string>",
"alt": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
}
},
"parent_build_variant_id": "<string>",
"recommended": true,
"score": 123,
"evaluation": [
{
"label": "<string>",
"detail": "<string>",
"evaluator_id": "<string>",
"evaluator_version": "<string>",
"code": "<string>",
"blocking": true,
"confidence": 0.5,
"evidence_refs": [
"<string>"
],
"remediation": "<string>"
}
]
}
],
"format_renders": [
{
"format_id": "<string>",
"label": "<string>",
"publisher_context": "<string>",
"preview": {
"type": "image",
"url": "<string>",
"alt": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
}
},
"dimensions": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
},
"evaluation": [
{
"label": "<string>",
"detail": "<string>",
"evaluator_id": "<string>",
"evaluator_version": "<string>",
"code": "<string>",
"blocking": true,
"confidence": 0.5,
"evidence_refs": [
"<string>"
],
"remediation": "<string>"
}
]
}
],
"presentation": "generative-widgets",
"brand_reference": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"format": "<string>",
"alt_text": "<string>"
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"accumulated_feedback": [
"<string>"
],
"source_asset": {
"label": "<string>",
"url": "<string>",
"asset_id": "<string>",
"locked_asset": true,
"can_transform": true,
"preservation_notes": "<string>",
"rights": {
"status": "unknown",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"dimensions": {
"width": 4503599627370496,
"height": 4503599627370496,
"duration_seconds": 1
},
"render_crop": {
"x": 0.5,
"y": 0.5,
"width": 0.5,
"height": 0.5,
"units": "normalized",
"notes": "<string>"
},
"checksum": "<string>",
"mime_type": "<string>"
},
"asset_store": {
"summary": "<string>",
"assets": [
{
"label": "<string>",
"url": "<string>",
"asset_id": "<string>",
"locked_asset": true,
"can_transform": true,
"preservation_notes": "<string>",
"rights": {
"status": "unknown",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"dimensions": {
"width": 4503599627370496,
"height": 4503599627370496,
"duration_seconds": 1
},
"render_crop": {
"x": 0.5,
"y": 0.5,
"width": 0.5,
"height": 0.5,
"units": "normalized",
"notes": "<string>"
},
"checksum": "<string>",
"mime_type": "<string>"
}
],
"renditions": [
{
"asset_id": "<string>",
"parent_asset_id": "<string>",
"label": "<string>",
"url": "<string>",
"mime_type": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"alpha": true,
"locked_asset": true,
"can_transform": true,
"rights": {
"status": "inherited",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"source_asset_id": "<string>"
},
"provenance": {
"provider": "<string>",
"source_checksum": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"quality": {
"checks": [
{
"code": "<string>",
"detail": "<string>"
}
]
}
}
]
},
"creative_plan": {
"target_format_id": {
"agent_url": "<string>",
"id": "<string>",
"width": 4503599627370496,
"height": 4503599627370496
},
"variant_strategy": {
"values": [
"<string>"
],
"requested_count": 4503599627370496,
"feedback_mode": "select_then_refine",
"evaluator_mode": "draft_soft_final_hard",
"dimension": "<string>"
},
"native_capabilities": {
"reference_image_input": true,
"native_image_editing": true,
"locked_asset_compositing": true,
"audio_duration_targeting": true,
"audio_language_control": true
},
"required_assets": [
{
"asset_id": "<string>",
"asset_type": "<string>",
"required": true
}
],
"transformer_id": "<string>"
},
"required_placements": [
{
"format_id": "<string>",
"agent_url": "<string>",
"label": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"dimensions": "<string>"
}
],
"renderer_capabilities": [
{
"format_id": "<string>",
"label": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
},
"dimensions": "<string>",
"publisher_context": "<string>"
}
],
"rendering_model": {
"creative_canvas": {
"label": "<string>",
"description": "<string>",
"includes": [
"<string>"
],
"excludes": [
"<string>"
]
},
"review_surface": {
"label": "<string>",
"description": "<string>",
"includes": [
"<string>"
],
"excludes": [
"<string>"
]
}
},
"selected_variant_id": "<string>",
"refined_variant_id": "<string>",
"next_steps": [
{
"label": "<string>",
"summary": "<string>",
"action": "<string>"
}
],
"notices": [
{
"code": "variant_count_mismatch",
"message": "<string>"
}
],
"finalization": {
"creative_id": "<string>",
"manifest_id": "<string>",
"sync_status": "<string>",
"summary": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Creatives
Get creative session
Get a creative iteration session by ID, including its drafts, evaluator results, and current status.
GET
/
campaigns
/
{campaignId}
/
creative-sessions
/
{sessionId}
Get creative session
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"creative_session_id": "<string>",
"campaign_id": "<string>",
"title": "<string>",
"persona": "<string>",
"brand": "<string>",
"objective": "<string>",
"prompt": "<string>",
"flow": [
{
"label": "<string>",
"summary": "<string>"
}
],
"variants": [
{
"build_variant_id": "<string>",
"name": "<string>",
"direction": "<string>",
"rationale": "<string>",
"preview": {
"type": "image",
"url": "<string>",
"alt": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
}
},
"parent_build_variant_id": "<string>",
"recommended": true,
"score": 123,
"evaluation": [
{
"label": "<string>",
"detail": "<string>",
"evaluator_id": "<string>",
"evaluator_version": "<string>",
"code": "<string>",
"blocking": true,
"confidence": 0.5,
"evidence_refs": [
"<string>"
],
"remediation": "<string>"
}
]
}
],
"format_renders": [
{
"format_id": "<string>",
"label": "<string>",
"publisher_context": "<string>",
"preview": {
"type": "image",
"url": "<string>",
"alt": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
}
},
"dimensions": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
},
"evaluation": [
{
"label": "<string>",
"detail": "<string>",
"evaluator_id": "<string>",
"evaluator_version": "<string>",
"code": "<string>",
"blocking": true,
"confidence": 0.5,
"evidence_refs": [
"<string>"
],
"remediation": "<string>"
}
]
}
],
"presentation": "generative-widgets",
"brand_reference": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"format": "<string>",
"alt_text": "<string>"
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"accumulated_feedback": [
"<string>"
],
"source_asset": {
"label": "<string>",
"url": "<string>",
"asset_id": "<string>",
"locked_asset": true,
"can_transform": true,
"preservation_notes": "<string>",
"rights": {
"status": "unknown",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"dimensions": {
"width": 4503599627370496,
"height": 4503599627370496,
"duration_seconds": 1
},
"render_crop": {
"x": 0.5,
"y": 0.5,
"width": 0.5,
"height": 0.5,
"units": "normalized",
"notes": "<string>"
},
"checksum": "<string>",
"mime_type": "<string>"
},
"asset_store": {
"summary": "<string>",
"assets": [
{
"label": "<string>",
"url": "<string>",
"asset_id": "<string>",
"locked_asset": true,
"can_transform": true,
"preservation_notes": "<string>",
"rights": {
"status": "unknown",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"dimensions": {
"width": 4503599627370496,
"height": 4503599627370496,
"duration_seconds": 1
},
"render_crop": {
"x": 0.5,
"y": 0.5,
"width": 0.5,
"height": 0.5,
"units": "normalized",
"notes": "<string>"
},
"checksum": "<string>",
"mime_type": "<string>"
}
],
"renditions": [
{
"asset_id": "<string>",
"parent_asset_id": "<string>",
"label": "<string>",
"url": "<string>",
"mime_type": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"alpha": true,
"locked_asset": true,
"can_transform": true,
"rights": {
"status": "inherited",
"usage": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"source_asset_id": "<string>"
},
"provenance": {
"provider": "<string>",
"source_checksum": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"quality": {
"checks": [
{
"code": "<string>",
"detail": "<string>"
}
]
}
}
]
},
"creative_plan": {
"target_format_id": {
"agent_url": "<string>",
"id": "<string>",
"width": 4503599627370496,
"height": 4503599627370496
},
"variant_strategy": {
"values": [
"<string>"
],
"requested_count": 4503599627370496,
"feedback_mode": "select_then_refine",
"evaluator_mode": "draft_soft_final_hard",
"dimension": "<string>"
},
"native_capabilities": {
"reference_image_input": true,
"native_image_editing": true,
"locked_asset_compositing": true,
"audio_duration_targeting": true,
"audio_language_control": true
},
"required_assets": [
{
"asset_id": "<string>",
"asset_type": "<string>",
"required": true
}
],
"transformer_id": "<string>"
},
"required_placements": [
{
"format_id": "<string>",
"agent_url": "<string>",
"label": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"dimensions": "<string>"
}
],
"renderer_capabilities": [
{
"format_id": "<string>",
"label": "<string>",
"renderer": {
"label": "<string>",
"mime_type": "<string>",
"controls": true,
"canonical": true
},
"dimensions": "<string>",
"publisher_context": "<string>"
}
],
"rendering_model": {
"creative_canvas": {
"label": "<string>",
"description": "<string>",
"includes": [
"<string>"
],
"excludes": [
"<string>"
]
},
"review_surface": {
"label": "<string>",
"description": "<string>",
"includes": [
"<string>"
],
"excludes": [
"<string>"
]
}
},
"selected_variant_id": "<string>",
"refined_variant_id": "<string>",
"next_steps": [
{
"label": "<string>",
"summary": "<string>",
"action": "<string>"
}
],
"notices": [
{
"code": "variant_count_mismatch",
"message": "<string>"
}
],
"finalization": {
"creative_id": "<string>",
"manifest_id": "<string>",
"sync_status": "<string>",
"summary": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Minimum string length:
1Minimum string length:
1Response
Get creative session
Available options:
drafting, refining, evaluating, finalized Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
generative-widgets Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I